# SocketLayer.h File Reference

SocketLayer class implementation. More...

`#include "RakMemoryOverride.h"`
`#include "SocketIncludes.h"`
`#include "RakNetTypes.h"`
`#include "RakNetSmartPtr.h"`
`#include "RakNetSocket.h"`
`#include "Export.h"`
`#include "MTUSize.h"`
`#include "RakString.h"`

## Detailed Description

SocketLayer class implementation.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.